HyperTerminal Private Edition v6.4 (legacy)

HyperTerminal Private Edition v6.4 (legacy)

The previous version of HyperTerminal Private Edition, version 6.4, is available for purchase for those who need it.
Version 6.4 of HyperTerminal is compatible with Windows 95 up through Vista.
The current version of HyperTerminal (7.0) is compatible with Windows XP and later, so that version is recommended if you are using those versions of Windows.

Price: $64.99

Quantity / Licenses:

Note: This is an old version of HyperTerminal Private Edition. Unless you need the old version for specific reasons, we recommend you use the latest version.

Version:
6.4
System Requirements:
Windows 95, 98, Me, NT, 2000, XP, Vista
Hilgraeve